/* Program Name
 * Copyright (C) 1999 Author Name
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>
#include <stdlib.h>

#include "interface.h"
#include "support.h"

extern GdkPixmap *pixmap;
extern GtkWidget *drawing_area;
GdkFont *fixed_font;
guint x = 0, y = 0, frames = 0;


guint
draw_diagram (gpointer data)
{

  GdkRectangle update_rect;
  char texto[2];


  gdk_draw_rectangle (pixmap,
		      drawing_area->style->white_gc,
		      TRUE,
		      0, 0,
		      drawing_area->allocation.width,
		      drawing_area->allocation.height);

  update_rect.x = x += 5;
  update_rect.y = y += 5;
  update_rect.width = 10;
  update_rect.height = 10;

  gdk_draw_rectangle (pixmap,
		      drawing_area->style->black_gc,
		      TRUE,
		      update_rect.x, update_rect.y,
		      update_rect.width, update_rect.height);

  texto[0] = frames++;
  texto[1] = '/0';

  gdk_draw_text (pixmap,
		 fixed_font,
		 drawing_area->style->black_gc,
		 drawing_area->allocation.width / 2,
		 drawing_area->allocation.height / 2,
		 texto,
		 1);

  update_rect.x = update_rect.y = 0;
  update_rect.width = drawing_area->allocation.width;
  update_rect.height = drawing_area->allocation.height;

  gtk_widget_draw (drawing_area, &update_rect);

  return TRUE;
}

int
main (int argc, char *argv[])
{
  GtkWidget *window_main;


  init_capture ();

  gtk_set_locale ();
  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
  add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

  fixed_font = gdk_font_load ("-misc-fixed-medium-r-*-*-*-140-*-*-*-*-*-*");

  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */
  window_main = create_window_main ();
  gtk_widget_show (window_main);

  gtk_timeout_add (25 /*ms */ ,
		   draw_diagram,
		   NULL);
  gtk_main ();
  return 0;
}
